IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network252.192.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
- Network address
252.192.0.0- Broadcast address
252.255.255.255- First usable
252.192.0.1- Last usable
252.255.255.254- Usable hosts
- 4,194,302 (4,194,304 less the network and broadcast addresses)
- Subnet mask
255.192.0.0- Wildcard mask
0.63.255.255(Cisco ACLs, OSPF)- Prefix length
- /10
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
FCC00000· Integer4240441344to4244635647 - Reverse DNS zones
192.252.in-addr.arpa193.252.in-addr.arpa194.252.in-addr.arpa195.252.in-addr.arpa196.252.in-addr.arpa197.252.in-addr.arpa198.252.in-addr.arpa199.252.in-addr.arpa200.252.in-addr.arpa201.252.in-addr.arpa202.252.in-addr.arpa203.252.in-addr.arpa204.252.in-addr.arpa205.252.in-addr.arpa206.252.in-addr.arpa207.252.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11111100.11000000.00000000.00000000 | 252.192.0.0 |
| Subnet mask | 11111111.11000000.00000000.00000000 | 255.192.0.0 |
| Network | 11111100.11000000.00000000.00000000 | 252.192.0.0 |
| Broadcast | 11111100.11111111.11111111.11111111 | 252.255.255.255 |
Split into smaller subnets
/11 (2)/12 (4)/13 (8)/14 (16)/15 (32)/16 (64)/17 (128)/18 (256)/19 (512)/20 (1,024)/21 (2,048)/22 (4,096)
252.192.0.0/10 makes 1,024 subnets of /20; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 252.192.0.0/20 | 252.192.0.1 to 252.192.15.254 | 252.192.15.255 | 4,094 |
| 2 | 252.192.16.0/20 | 252.192.16.1 to 252.192.31.254 | 252.192.31.255 | 4,094 |
| 3 | 252.192.32.0/20 | 252.192.32.1 to 252.192.47.254 | 252.192.47.255 | 4,094 |
| 4 | 252.192.48.0/20 | 252.192.48.1 to 252.192.63.254 | 252.192.63.255 | 4,094 |
| 5 | 252.192.64.0/20 | 252.192.64.1 to 252.192.79.254 | 252.192.79.255 | 4,094 |
| 6 | 252.192.80.0/20 | 252.192.80.1 to 252.192.95.254 | 252.192.95.255 | 4,094 |
| 7 | 252.192.96.0/20 | 252.192.96.1 to 252.192.111.254 | 252.192.111.255 | 4,094 |
| 8 | 252.192.112.0/20 | 252.192.112.1 to 252.192.127.254 | 252.192.127.255 | 4,094 |
| 9 | 252.192.128.0/20 | 252.192.128.1 to 252.192.143.254 | 252.192.143.255 | 4,094 |
| 10 | 252.192.144.0/20 | 252.192.144.1 to 252.192.159.254 | 252.192.159.255 | 4,094 |
| 11 | 252.192.160.0/20 | 252.192.160.1 to 252.192.175.254 | 252.192.175.255 | 4,094 |
| 12 | 252.192.176.0/20 | 252.192.176.1 to 252.192.191.254 | 252.192.191.255 | 4,094 |
| 13 | 252.192.192.0/20 | 252.192.192.1 to 252.192.207.254 | 252.192.207.255 | 4,094 |
| 14 | 252.192.208.0/20 | 252.192.208.1 to 252.192.223.254 | 252.192.223.255 | 4,094 |
| 15 | 252.192.224.0/20 | 252.192.224.1 to 252.192.239.254 | 252.192.239.255 | 4,094 |
| 16 | 252.192.240.0/20 | 252.192.240.1 to 252.192.255.254 | 252.192.255.255 | 4,094 |
| 17 | 252.193.0.0/20 | 252.193.0.1 to 252.193.15.254 | 252.193.15.255 | 4,094 |
| 18 | 252.193.16.0/20 | 252.193.16.1 to 252.193.31.254 | 252.193.31.255 | 4,094 |
| 19 | 252.193.32.0/20 | 252.193.32.1 to 252.193.47.254 | 252.193.47.255 | 4,094 |
| 20 | 252.193.48.0/20 | 252.193.48.1 to 252.193.63.254 | 252.193.63.255 | 4,094 |
| 21 | 252.193.64.0/20 | 252.193.64.1 to 252.193.79.254 | 252.193.79.255 | 4,094 |
| 22 | 252.193.80.0/20 | 252.193.80.1 to 252.193.95.254 | 252.193.95.255 | 4,094 |
| 23 | 252.193.96.0/20 | 252.193.96.1 to 252.193.111.254 | 252.193.111.255 | 4,094 |
| 24 | 252.193.112.0/20 | 252.193.112.1 to 252.193.127.254 | 252.193.127.255 | 4,094 |
| 25 | 252.193.128.0/20 | 252.193.128.1 to 252.193.143.254 | 252.193.143.255 | 4,094 |
| 26 | 252.193.144.0/20 | 252.193.144.1 to 252.193.159.254 | 252.193.159.255 | 4,094 |
| 27 | 252.193.160.0/20 | 252.193.160.1 to 252.193.175.254 | 252.193.175.255 | 4,094 |
| 28 | 252.193.176.0/20 | 252.193.176.1 to 252.193.191.254 | 252.193.191.255 | 4,094 |
| 29 | 252.193.192.0/20 | 252.193.192.1 to 252.193.207.254 | 252.193.207.255 | 4,094 |
| 30 | 252.193.208.0/20 | 252.193.208.1 to 252.193.223.254 | 252.193.223.255 | 4,094 |
| 31 | 252.193.224.0/20 | 252.193.224.1 to 252.193.239.254 | 252.193.239.255 | 4,094 |
| 32 | 252.193.240.0/20 | 252.193.240.1 to 252.193.255.254 | 252.193.255.255 | 4,094 |
| 33 | 252.194.0.0/20 | 252.194.0.1 to 252.194.15.254 | 252.194.15.255 | 4,094 |
| 34 | 252.194.16.0/20 | 252.194.16.1 to 252.194.31.254 | 252.194.31.255 | 4,094 |
| 35 | 252.194.32.0/20 | 252.194.32.1 to 252.194.47.254 | 252.194.47.255 | 4,094 |
| 36 | 252.194.48.0/20 | 252.194.48.1 to 252.194.63.254 | 252.194.63.255 | 4,094 |
| 37 | 252.194.64.0/20 | 252.194.64.1 to 252.194.79.254 | 252.194.79.255 | 4,094 |
| 38 | 252.194.80.0/20 | 252.194.80.1 to 252.194.95.254 | 252.194.95.255 | 4,094 |
| 39 | 252.194.96.0/20 | 252.194.96.1 to 252.194.111.254 | 252.194.111.255 | 4,094 |
| 40 | 252.194.112.0/20 | 252.194.112.1 to 252.194.127.254 | 252.194.127.255 | 4,094 |
| 41 | 252.194.128.0/20 | 252.194.128.1 to 252.194.143.254 | 252.194.143.255 | 4,094 |
| 42 | 252.194.144.0/20 | 252.194.144.1 to 252.194.159.254 | 252.194.159.255 | 4,094 |
| 43 | 252.194.160.0/20 | 252.194.160.1 to 252.194.175.254 | 252.194.175.255 | 4,094 |
| 44 | 252.194.176.0/20 | 252.194.176.1 to 252.194.191.254 | 252.194.191.255 | 4,094 |
| 45 | 252.194.192.0/20 | 252.194.192.1 to 252.194.207.254 | 252.194.207.255 | 4,094 |
| 46 | 252.194.208.0/20 | 252.194.208.1 to 252.194.223.254 | 252.194.223.255 | 4,094 |
| 47 | 252.194.224.0/20 | 252.194.224.1 to 252.194.239.254 | 252.194.239.255 | 4,094 |
| 48 | 252.194.240.0/20 | 252.194.240.1 to 252.194.255.254 | 252.194.255.255 | 4,094 |
| 49 | 252.195.0.0/20 | 252.195.0.1 to 252.195.15.254 | 252.195.15.255 | 4,094 |
| 50 | 252.195.16.0/20 | 252.195.16.1 to 252.195.31.254 | 252.195.31.255 | 4,094 |
| 51 | 252.195.32.0/20 | 252.195.32.1 to 252.195.47.254 | 252.195.47.255 | 4,094 |
| 52 | 252.195.48.0/20 | 252.195.48.1 to 252.195.63.254 | 252.195.63.255 | 4,094 |
| 53 | 252.195.64.0/20 | 252.195.64.1 to 252.195.79.254 | 252.195.79.255 | 4,094 |
| 54 | 252.195.80.0/20 | 252.195.80.1 to 252.195.95.254 | 252.195.95.255 | 4,094 |
| 55 | 252.195.96.0/20 | 252.195.96.1 to 252.195.111.254 | 252.195.111.255 | 4,094 |
| 56 | 252.195.112.0/20 | 252.195.112.1 to 252.195.127.254 | 252.195.127.255 | 4,094 |
| 57 | 252.195.128.0/20 | 252.195.128.1 to 252.195.143.254 | 252.195.143.255 | 4,094 |
| 58 | 252.195.144.0/20 | 252.195.144.1 to 252.195.159.254 | 252.195.159.255 | 4,094 |
| 59 | 252.195.160.0/20 | 252.195.160.1 to 252.195.175.254 | 252.195.175.255 | 4,094 |
| 60 | 252.195.176.0/20 | 252.195.176.1 to 252.195.191.254 | 252.195.191.255 | 4,094 |
| 61 | 252.195.192.0/20 | 252.195.192.1 to 252.195.207.254 | 252.195.207.255 | 4,094 |
| 62 | 252.195.208.0/20 | 252.195.208.1 to 252.195.223.254 | 252.195.223.255 | 4,094 |
| 63 | 252.195.224.0/20 | 252.195.224.1 to 252.195.239.254 | 252.195.239.255 | 4,094 |
| 64 | 252.195.240.0/20 | 252.195.240.1 to 252.195.255.254 | 252.195.255.255 | 4,094 |
| 65 | 252.196.0.0/20 | 252.196.0.1 to 252.196.15.254 | 252.196.15.255 | 4,094 |
| 66 | 252.196.16.0/20 | 252.196.16.1 to 252.196.31.254 | 252.196.31.255 | 4,094 |
| 67 | 252.196.32.0/20 | 252.196.32.1 to 252.196.47.254 | 252.196.47.255 | 4,094 |
| 68 | 252.196.48.0/20 | 252.196.48.1 to 252.196.63.254 | 252.196.63.255 | 4,094 |
| 69 | 252.196.64.0/20 | 252.196.64.1 to 252.196.79.254 | 252.196.79.255 | 4,094 |
| 70 | 252.196.80.0/20 | 252.196.80.1 to 252.196.95.254 | 252.196.95.255 | 4,094 |
| 71 | 252.196.96.0/20 | 252.196.96.1 to 252.196.111.254 | 252.196.111.255 | 4,094 |
| 72 | 252.196.112.0/20 | 252.196.112.1 to 252.196.127.254 | 252.196.127.255 | 4,094 |
| 73 | 252.196.128.0/20 | 252.196.128.1 to 252.196.143.254 | 252.196.143.255 | 4,094 |
| 74 | 252.196.144.0/20 | 252.196.144.1 to 252.196.159.254 | 252.196.159.255 | 4,094 |
| 75 | 252.196.160.0/20 | 252.196.160.1 to 252.196.175.254 | 252.196.175.255 | 4,094 |
| 76 | 252.196.176.0/20 | 252.196.176.1 to 252.196.191.254 | 252.196.191.255 | 4,094 |
| 77 | 252.196.192.0/20 | 252.196.192.1 to 252.196.207.254 | 252.196.207.255 | 4,094 |
| 78 | 252.196.208.0/20 | 252.196.208.1 to 252.196.223.254 | 252.196.223.255 | 4,094 |
| 79 | 252.196.224.0/20 | 252.196.224.1 to 252.196.239.254 | 252.196.239.255 | 4,094 |
| 80 | 252.196.240.0/20 | 252.196.240.1 to 252.196.255.254 | 252.196.255.255 | 4,094 |
| 81 | 252.197.0.0/20 | 252.197.0.1 to 252.197.15.254 | 252.197.15.255 | 4,094 |
| 82 | 252.197.16.0/20 | 252.197.16.1 to 252.197.31.254 | 252.197.31.255 | 4,094 |
| 83 | 252.197.32.0/20 | 252.197.32.1 to 252.197.47.254 | 252.197.47.255 | 4,094 |
| 84 | 252.197.48.0/20 | 252.197.48.1 to 252.197.63.254 | 252.197.63.255 | 4,094 |
| 85 | 252.197.64.0/20 | 252.197.64.1 to 252.197.79.254 | 252.197.79.255 | 4,094 |
| 86 | 252.197.80.0/20 | 252.197.80.1 to 252.197.95.254 | 252.197.95.255 | 4,094 |
| 87 | 252.197.96.0/20 | 252.197.96.1 to 252.197.111.254 | 252.197.111.255 | 4,094 |
| 88 | 252.197.112.0/20 | 252.197.112.1 to 252.197.127.254 | 252.197.127.255 | 4,094 |
| 89 | 252.197.128.0/20 | 252.197.128.1 to 252.197.143.254 | 252.197.143.255 | 4,094 |
| 90 | 252.197.144.0/20 | 252.197.144.1 to 252.197.159.254 | 252.197.159.255 | 4,094 |
| 91 | 252.197.160.0/20 | 252.197.160.1 to 252.197.175.254 | 252.197.175.255 | 4,094 |
| 92 | 252.197.176.0/20 | 252.197.176.1 to 252.197.191.254 | 252.197.191.255 | 4,094 |
| 93 | 252.197.192.0/20 | 252.197.192.1 to 252.197.207.254 | 252.197.207.255 | 4,094 |
| 94 | 252.197.208.0/20 | 252.197.208.1 to 252.197.223.254 | 252.197.223.255 | 4,094 |
| 95 | 252.197.224.0/20 | 252.197.224.1 to 252.197.239.254 | 252.197.239.255 | 4,094 |
| 96 | 252.197.240.0/20 | 252.197.240.1 to 252.197.255.254 | 252.197.255.255 | 4,094 |
| 97 | 252.198.0.0/20 | 252.198.0.1 to 252.198.15.254 | 252.198.15.255 | 4,094 |
| 98 | 252.198.16.0/20 | 252.198.16.1 to 252.198.31.254 | 252.198.31.255 | 4,094 |
| 99 | 252.198.32.0/20 | 252.198.32.1 to 252.198.47.254 | 252.198.47.255 | 4,094 |
| 100 | 252.198.48.0/20 | 252.198.48.1 to 252.198.63.254 | 252.198.63.255 | 4,094 |
| 101 | 252.198.64.0/20 | 252.198.64.1 to 252.198.79.254 | 252.198.79.255 | 4,094 |
| 102 | 252.198.80.0/20 | 252.198.80.1 to 252.198.95.254 | 252.198.95.255 | 4,094 |
| 103 | 252.198.96.0/20 | 252.198.96.1 to 252.198.111.254 | 252.198.111.255 | 4,094 |
| 104 | 252.198.112.0/20 | 252.198.112.1 to 252.198.127.254 | 252.198.127.255 | 4,094 |
| 105 | 252.198.128.0/20 | 252.198.128.1 to 252.198.143.254 | 252.198.143.255 | 4,094 |
| 106 | 252.198.144.0/20 | 252.198.144.1 to 252.198.159.254 | 252.198.159.255 | 4,094 |
| 107 | 252.198.160.0/20 | 252.198.160.1 to 252.198.175.254 | 252.198.175.255 | 4,094 |
| 108 | 252.198.176.0/20 | 252.198.176.1 to 252.198.191.254 | 252.198.191.255 | 4,094 |
| 109 | 252.198.192.0/20 | 252.198.192.1 to 252.198.207.254 | 252.198.207.255 | 4,094 |
| 110 | 252.198.208.0/20 | 252.198.208.1 to 252.198.223.254 | 252.198.223.255 | 4,094 |
| 111 | 252.198.224.0/20 | 252.198.224.1 to 252.198.239.254 | 252.198.239.255 | 4,094 |
| 112 | 252.198.240.0/20 | 252.198.240.1 to 252.198.255.254 | 252.198.255.255 | 4,094 |
| 113 | 252.199.0.0/20 | 252.199.0.1 to 252.199.15.254 | 252.199.15.255 | 4,094 |
| 114 | 252.199.16.0/20 | 252.199.16.1 to 252.199.31.254 | 252.199.31.255 | 4,094 |
| 115 | 252.199.32.0/20 | 252.199.32.1 to 252.199.47.254 | 252.199.47.255 | 4,094 |
| 116 | 252.199.48.0/20 | 252.199.48.1 to 252.199.63.254 | 252.199.63.255 | 4,094 |
| 117 | 252.199.64.0/20 | 252.199.64.1 to 252.199.79.254 | 252.199.79.255 | 4,094 |
| 118 | 252.199.80.0/20 | 252.199.80.1 to 252.199.95.254 | 252.199.95.255 | 4,094 |
| 119 | 252.199.96.0/20 | 252.199.96.1 to 252.199.111.254 | 252.199.111.255 | 4,094 |
| 120 | 252.199.112.0/20 | 252.199.112.1 to 252.199.127.254 | 252.199.127.255 | 4,094 |
| 121 | 252.199.128.0/20 | 252.199.128.1 to 252.199.143.254 | 252.199.143.255 | 4,094 |
| 122 | 252.199.144.0/20 | 252.199.144.1 to 252.199.159.254 | 252.199.159.255 | 4,094 |
| 123 | 252.199.160.0/20 | 252.199.160.1 to 252.199.175.254 | 252.199.175.255 | 4,094 |
| 124 | 252.199.176.0/20 | 252.199.176.1 to 252.199.191.254 | 252.199.191.255 | 4,094 |
| 125 | 252.199.192.0/20 | 252.199.192.1 to 252.199.207.254 | 252.199.207.255 | 4,094 |
| 126 | 252.199.208.0/20 | 252.199.208.1 to 252.199.223.254 | 252.199.223.255 | 4,094 |
| 127 | 252.199.224.0/20 | 252.199.224.1 to 252.199.239.254 | 252.199.239.255 | 4,094 |
| 128 | 252.199.240.0/20 | 252.199.240.1 to 252.199.255.254 | 252.199.255.255 | 4,094 |
| 129 | 252.200.0.0/20 | 252.200.0.1 to 252.200.15.254 | 252.200.15.255 | 4,094 |
| 130 | 252.200.16.0/20 | 252.200.16.1 to 252.200.31.254 | 252.200.31.255 | 4,094 |
| 131 | 252.200.32.0/20 | 252.200.32.1 to 252.200.47.254 | 252.200.47.255 | 4,094 |
| 132 | 252.200.48.0/20 | 252.200.48.1 to 252.200.63.254 | 252.200.63.255 | 4,094 |
| 133 | 252.200.64.0/20 | 252.200.64.1 to 252.200.79.254 | 252.200.79.255 | 4,094 |
| 134 | 252.200.80.0/20 | 252.200.80.1 to 252.200.95.254 | 252.200.95.255 | 4,094 |
| 135 | 252.200.96.0/20 | 252.200.96.1 to 252.200.111.254 | 252.200.111.255 | 4,094 |
| 136 | 252.200.112.0/20 | 252.200.112.1 to 252.200.127.254 | 252.200.127.255 | 4,094 |
| 137 | 252.200.128.0/20 | 252.200.128.1 to 252.200.143.254 | 252.200.143.255 | 4,094 |
| 138 | 252.200.144.0/20 | 252.200.144.1 to 252.200.159.254 | 252.200.159.255 | 4,094 |
| 139 | 252.200.160.0/20 | 252.200.160.1 to 252.200.175.254 | 252.200.175.255 | 4,094 |
| 140 | 252.200.176.0/20 | 252.200.176.1 to 252.200.191.254 | 252.200.191.255 | 4,094 |
| 141 | 252.200.192.0/20 | 252.200.192.1 to 252.200.207.254 | 252.200.207.255 | 4,094 |
| 142 | 252.200.208.0/20 | 252.200.208.1 to 252.200.223.254 | 252.200.223.255 | 4,094 |
| 143 | 252.200.224.0/20 | 252.200.224.1 to 252.200.239.254 | 252.200.239.255 | 4,094 |
| 144 | 252.200.240.0/20 | 252.200.240.1 to 252.200.255.254 | 252.200.255.255 | 4,094 |
| 145 | 252.201.0.0/20 | 252.201.0.1 to 252.201.15.254 | 252.201.15.255 | 4,094 |
| 146 | 252.201.16.0/20 | 252.201.16.1 to 252.201.31.254 | 252.201.31.255 | 4,094 |
| 147 | 252.201.32.0/20 | 252.201.32.1 to 252.201.47.254 | 252.201.47.255 | 4,094 |
| 148 | 252.201.48.0/20 | 252.201.48.1 to 252.201.63.254 | 252.201.63.255 | 4,094 |
| 149 | 252.201.64.0/20 | 252.201.64.1 to 252.201.79.254 | 252.201.79.255 | 4,094 |
| 150 | 252.201.80.0/20 | 252.201.80.1 to 252.201.95.254 | 252.201.95.255 | 4,094 |
| 151 | 252.201.96.0/20 | 252.201.96.1 to 252.201.111.254 | 252.201.111.255 | 4,094 |
| 152 | 252.201.112.0/20 | 252.201.112.1 to 252.201.127.254 | 252.201.127.255 | 4,094 |
| 153 | 252.201.128.0/20 | 252.201.128.1 to 252.201.143.254 | 252.201.143.255 | 4,094 |
| 154 | 252.201.144.0/20 | 252.201.144.1 to 252.201.159.254 | 252.201.159.255 | 4,094 |
| 155 | 252.201.160.0/20 | 252.201.160.1 to 252.201.175.254 | 252.201.175.255 | 4,094 |
| 156 | 252.201.176.0/20 | 252.201.176.1 to 252.201.191.254 | 252.201.191.255 | 4,094 |
| 157 | 252.201.192.0/20 | 252.201.192.1 to 252.201.207.254 | 252.201.207.255 | 4,094 |
| 158 | 252.201.208.0/20 | 252.201.208.1 to 252.201.223.254 | 252.201.223.255 | 4,094 |
| 159 | 252.201.224.0/20 | 252.201.224.1 to 252.201.239.254 | 252.201.239.255 | 4,094 |
| 160 | 252.201.240.0/20 | 252.201.240.1 to 252.201.255.254 | 252.201.255.255 | 4,094 |
| 161 | 252.202.0.0/20 | 252.202.0.1 to 252.202.15.254 | 252.202.15.255 | 4,094 |
| 162 | 252.202.16.0/20 | 252.202.16.1 to 252.202.31.254 | 252.202.31.255 | 4,094 |
| 163 | 252.202.32.0/20 | 252.202.32.1 to 252.202.47.254 | 252.202.47.255 | 4,094 |
| 164 | 252.202.48.0/20 | 252.202.48.1 to 252.202.63.254 | 252.202.63.255 | 4,094 |
| 165 | 252.202.64.0/20 | 252.202.64.1 to 252.202.79.254 | 252.202.79.255 | 4,094 |
| 166 | 252.202.80.0/20 | 252.202.80.1 to 252.202.95.254 | 252.202.95.255 | 4,094 |
| 167 | 252.202.96.0/20 | 252.202.96.1 to 252.202.111.254 | 252.202.111.255 | 4,094 |
| 168 | 252.202.112.0/20 | 252.202.112.1 to 252.202.127.254 | 252.202.127.255 | 4,094 |
| 169 | 252.202.128.0/20 | 252.202.128.1 to 252.202.143.254 | 252.202.143.255 | 4,094 |
| 170 | 252.202.144.0/20 | 252.202.144.1 to 252.202.159.254 | 252.202.159.255 | 4,094 |
| 171 | 252.202.160.0/20 | 252.202.160.1 to 252.202.175.254 | 252.202.175.255 | 4,094 |
| 172 | 252.202.176.0/20 | 252.202.176.1 to 252.202.191.254 | 252.202.191.255 | 4,094 |
| 173 | 252.202.192.0/20 | 252.202.192.1 to 252.202.207.254 | 252.202.207.255 | 4,094 |
| 174 | 252.202.208.0/20 | 252.202.208.1 to 252.202.223.254 | 252.202.223.255 | 4,094 |
| 175 | 252.202.224.0/20 | 252.202.224.1 to 252.202.239.254 | 252.202.239.255 | 4,094 |
| 176 | 252.202.240.0/20 | 252.202.240.1 to 252.202.255.254 | 252.202.255.255 | 4,094 |
| 177 | 252.203.0.0/20 | 252.203.0.1 to 252.203.15.254 | 252.203.15.255 | 4,094 |
| 178 | 252.203.16.0/20 | 252.203.16.1 to 252.203.31.254 | 252.203.31.255 | 4,094 |
| 179 | 252.203.32.0/20 | 252.203.32.1 to 252.203.47.254 | 252.203.47.255 | 4,094 |
| 180 | 252.203.48.0/20 | 252.203.48.1 to 252.203.63.254 | 252.203.63.255 | 4,094 |
| 181 | 252.203.64.0/20 | 252.203.64.1 to 252.203.79.254 | 252.203.79.255 | 4,094 |
| 182 | 252.203.80.0/20 | 252.203.80.1 to 252.203.95.254 | 252.203.95.255 | 4,094 |
| 183 | 252.203.96.0/20 | 252.203.96.1 to 252.203.111.254 | 252.203.111.255 | 4,094 |
| 184 | 252.203.112.0/20 | 252.203.112.1 to 252.203.127.254 | 252.203.127.255 | 4,094 |
| 185 | 252.203.128.0/20 | 252.203.128.1 to 252.203.143.254 | 252.203.143.255 | 4,094 |
| 186 | 252.203.144.0/20 | 252.203.144.1 to 252.203.159.254 | 252.203.159.255 | 4,094 |
| 187 | 252.203.160.0/20 | 252.203.160.1 to 252.203.175.254 | 252.203.175.255 | 4,094 |
| 188 | 252.203.176.0/20 | 252.203.176.1 to 252.203.191.254 | 252.203.191.255 | 4,094 |
| 189 | 252.203.192.0/20 | 252.203.192.1 to 252.203.207.254 | 252.203.207.255 | 4,094 |
| 190 | 252.203.208.0/20 | 252.203.208.1 to 252.203.223.254 | 252.203.223.255 | 4,094 |
| 191 | 252.203.224.0/20 | 252.203.224.1 to 252.203.239.254 | 252.203.239.255 | 4,094 |
| 192 | 252.203.240.0/20 | 252.203.240.1 to 252.203.255.254 | 252.203.255.255 | 4,094 |
| 193 | 252.204.0.0/20 | 252.204.0.1 to 252.204.15.254 | 252.204.15.255 | 4,094 |
| 194 | 252.204.16.0/20 | 252.204.16.1 to 252.204.31.254 | 252.204.31.255 | 4,094 |
| 195 | 252.204.32.0/20 | 252.204.32.1 to 252.204.47.254 | 252.204.47.255 | 4,094 |
| 196 | 252.204.48.0/20 | 252.204.48.1 to 252.204.63.254 | 252.204.63.255 | 4,094 |
| 197 | 252.204.64.0/20 | 252.204.64.1 to 252.204.79.254 | 252.204.79.255 | 4,094 |
| 198 | 252.204.80.0/20 | 252.204.80.1 to 252.204.95.254 | 252.204.95.255 | 4,094 |
| 199 | 252.204.96.0/20 | 252.204.96.1 to 252.204.111.254 | 252.204.111.255 | 4,094 |
| 200 | 252.204.112.0/20 | 252.204.112.1 to 252.204.127.254 | 252.204.127.255 | 4,094 |
| 201 | 252.204.128.0/20 | 252.204.128.1 to 252.204.143.254 | 252.204.143.255 | 4,094 |
| 202 | 252.204.144.0/20 | 252.204.144.1 to 252.204.159.254 | 252.204.159.255 | 4,094 |
| 203 | 252.204.160.0/20 | 252.204.160.1 to 252.204.175.254 | 252.204.175.255 | 4,094 |
| 204 | 252.204.176.0/20 | 252.204.176.1 to 252.204.191.254 | 252.204.191.255 | 4,094 |
| 205 | 252.204.192.0/20 | 252.204.192.1 to 252.204.207.254 | 252.204.207.255 | 4,094 |
| 206 | 252.204.208.0/20 | 252.204.208.1 to 252.204.223.254 | 252.204.223.255 | 4,094 |
| 207 | 252.204.224.0/20 | 252.204.224.1 to 252.204.239.254 | 252.204.239.255 | 4,094 |
| 208 | 252.204.240.0/20 | 252.204.240.1 to 252.204.255.254 | 252.204.255.255 | 4,094 |
| 209 | 252.205.0.0/20 | 252.205.0.1 to 252.205.15.254 | 252.205.15.255 | 4,094 |
| 210 | 252.205.16.0/20 | 252.205.16.1 to 252.205.31.254 | 252.205.31.255 | 4,094 |
| 211 | 252.205.32.0/20 | 252.205.32.1 to 252.205.47.254 | 252.205.47.255 | 4,094 |
| 212 | 252.205.48.0/20 | 252.205.48.1 to 252.205.63.254 | 252.205.63.255 | 4,094 |
| 213 | 252.205.64.0/20 | 252.205.64.1 to 252.205.79.254 | 252.205.79.255 | 4,094 |
| 214 | 252.205.80.0/20 | 252.205.80.1 to 252.205.95.254 | 252.205.95.255 | 4,094 |
| 215 | 252.205.96.0/20 | 252.205.96.1 to 252.205.111.254 | 252.205.111.255 | 4,094 |
| 216 | 252.205.112.0/20 | 252.205.112.1 to 252.205.127.254 | 252.205.127.255 | 4,094 |
| 217 | 252.205.128.0/20 | 252.205.128.1 to 252.205.143.254 | 252.205.143.255 | 4,094 |
| 218 | 252.205.144.0/20 | 252.205.144.1 to 252.205.159.254 | 252.205.159.255 | 4,094 |
| 219 | 252.205.160.0/20 | 252.205.160.1 to 252.205.175.254 | 252.205.175.255 | 4,094 |
| 220 | 252.205.176.0/20 | 252.205.176.1 to 252.205.191.254 | 252.205.191.255 | 4,094 |
| 221 | 252.205.192.0/20 | 252.205.192.1 to 252.205.207.254 | 252.205.207.255 | 4,094 |
| 222 | 252.205.208.0/20 | 252.205.208.1 to 252.205.223.254 | 252.205.223.255 | 4,094 |
| 223 | 252.205.224.0/20 | 252.205.224.1 to 252.205.239.254 | 252.205.239.255 | 4,094 |
| 224 | 252.205.240.0/20 | 252.205.240.1 to 252.205.255.254 | 252.205.255.255 | 4,094 |
| 225 | 252.206.0.0/20 | 252.206.0.1 to 252.206.15.254 | 252.206.15.255 | 4,094 |
| 226 | 252.206.16.0/20 | 252.206.16.1 to 252.206.31.254 | 252.206.31.255 | 4,094 |
| 227 | 252.206.32.0/20 | 252.206.32.1 to 252.206.47.254 | 252.206.47.255 | 4,094 |
| 228 | 252.206.48.0/20 | 252.206.48.1 to 252.206.63.254 | 252.206.63.255 | 4,094 |
| 229 | 252.206.64.0/20 | 252.206.64.1 to 252.206.79.254 | 252.206.79.255 | 4,094 |
| 230 | 252.206.80.0/20 | 252.206.80.1 to 252.206.95.254 | 252.206.95.255 | 4,094 |
| 231 | 252.206.96.0/20 | 252.206.96.1 to 252.206.111.254 | 252.206.111.255 | 4,094 |
| 232 | 252.206.112.0/20 | 252.206.112.1 to 252.206.127.254 | 252.206.127.255 | 4,094 |
| 233 | 252.206.128.0/20 | 252.206.128.1 to 252.206.143.254 | 252.206.143.255 | 4,094 |
| 234 | 252.206.144.0/20 | 252.206.144.1 to 252.206.159.254 | 252.206.159.255 | 4,094 |
| 235 | 252.206.160.0/20 | 252.206.160.1 to 252.206.175.254 | 252.206.175.255 | 4,094 |
| 236 | 252.206.176.0/20 | 252.206.176.1 to 252.206.191.254 | 252.206.191.255 | 4,094 |
| 237 | 252.206.192.0/20 | 252.206.192.1 to 252.206.207.254 | 252.206.207.255 | 4,094 |
| 238 | 252.206.208.0/20 | 252.206.208.1 to 252.206.223.254 | 252.206.223.255 | 4,094 |
| 239 | 252.206.224.0/20 | 252.206.224.1 to 252.206.239.254 | 252.206.239.255 | 4,094 |
| 240 | 252.206.240.0/20 | 252.206.240.1 to 252.206.255.254 | 252.206.255.255 | 4,094 |
| 241 | 252.207.0.0/20 | 252.207.0.1 to 252.207.15.254 | 252.207.15.255 | 4,094 |
| 242 | 252.207.16.0/20 | 252.207.16.1 to 252.207.31.254 | 252.207.31.255 | 4,094 |
| 243 | 252.207.32.0/20 | 252.207.32.1 to 252.207.47.254 | 252.207.47.255 | 4,094 |
| 244 | 252.207.48.0/20 | 252.207.48.1 to 252.207.63.254 | 252.207.63.255 | 4,094 |
| 245 | 252.207.64.0/20 | 252.207.64.1 to 252.207.79.254 | 252.207.79.255 | 4,094 |
| 246 | 252.207.80.0/20 | 252.207.80.1 to 252.207.95.254 | 252.207.95.255 | 4,094 |
| 247 | 252.207.96.0/20 | 252.207.96.1 to 252.207.111.254 | 252.207.111.255 | 4,094 |
| 248 | 252.207.112.0/20 | 252.207.112.1 to 252.207.127.254 | 252.207.127.255 | 4,094 |
| 249 | 252.207.128.0/20 | 252.207.128.1 to 252.207.143.254 | 252.207.143.255 | 4,094 |
| 250 | 252.207.144.0/20 | 252.207.144.1 to 252.207.159.254 | 252.207.159.255 | 4,094 |
| 251 | 252.207.160.0/20 | 252.207.160.1 to 252.207.175.254 | 252.207.175.255 | 4,094 |
| 252 | 252.207.176.0/20 | 252.207.176.1 to 252.207.191.254 | 252.207.191.255 | 4,094 |
| 253 | 252.207.192.0/20 | 252.207.192.1 to 252.207.207.254 | 252.207.207.255 | 4,094 |
| 254 | 252.207.208.0/20 | 252.207.208.1 to 252.207.223.254 | 252.207.223.255 | 4,094 |
| 255 | 252.207.224.0/20 | 252.207.224.1 to 252.207.239.254 | 252.207.239.255 | 4,094 |
| 256 | 252.207.240.0/20 | 252.207.240.1 to 252.207.255.254 | 252.207.255.255 | 4,094 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |